INTRODUCTION
------------

This module provides a block with a list containing data from social networks.

REQUIREMENTS
------------

This module requires 2 external libraries (for Twitter & Facebook plugins).

If you don't have 
[composer-merge-plugin](https://github.com/wikimedia/composer-merge-plugin) 
installed and properly configured, you'll need to use [Composer](https://getcomposer.org/) to manually 
require these 2 libs :
* `"facebook/graph-sdk": "^5.6"`
* `"abraham/twitteroauth": "^0.9.2"`

Else, just add these lines in your composer.json "extra" section :
```json
"merge-plugin": {
  "include": [
    "web/modules/custom/*/composer.json"
  ],
  "recurse": true,
  "replace": false,
  "ignore-duplicates": false,
  "merge-dev": true,
  "merge-extra": false,
  "merge-extra-deep": false,
  "merge-scripts": false
}
```

... and `composer install` (see procedue 
[here](https://www.drupal.org/node/2822349)).

INSTALLATION
------------

Use [Composer](https://getcomposer.org/) to dowload module, enable it.

`composer require 'drupal_social_wall'`

CONFIGURATION
-------------

0 - Use existing social networks, or...

1 - Create new social network(s) :
  * Create a new plugin in `[your_module_name]/src/Plugin/SocialNetwork` that 
extends `SocialNetworkBase`
* Implement at least these functions :
  * `getLabel()` : return the label of the social network
  * `settingsForm(array $settings = [])` : return the configure form of this 
  social network
  * `render()` : return the social network render array
* Don't forget to clear your cache ;)

2 - Configure social networks :

Go to `admin/config/services/social-wall` (or Configuration > Web services >
 Social networks) to configure existing social networks.

3 - Display social wall block :

Chose which social networks to display, and the order, in block configuration.

4 - Override the display :

You can override block display by creating a `social-wall--block.html.twig`
 in your theme.

EXAMPLES
--------

This module contains 3 basic plugin examples in
 `social_wall/src/Plugin/SocialNetwork` :
* Instagram
* Twitter
* Facebook
